package org.openxma.dsl.reference.validation;

import org.springframework.validation.Errors;
import org.openxma.dsl.reference.base.validation.BaseEntityValidator;
import org.openxma.dsl.reference.model.Certificate;

@SuppressWarnings("boxing")
public abstract class CertificateGenValidator extends BaseEntityValidator {
        
    @SuppressWarnings("unchecked")
    public boolean supports(Class clazz) {
        return Certificate.class.isAssignableFrom(clazz);
    }
    
    public Errors validate(Certificate certificate) {
        Errors errors = createErrors(certificate);      
        super.validate(certificate,errors);
        validate(certificate,errors);
        return errors;
    }

    public void validate(Object object, Errors errors) {
        Certificate certificate = (Certificate) object;
    }
    
}
