package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.dto.CertificateView;
import org.openxma.dsl.reference.types.valueobject.ProductId;

public abstract class ProductViewGen implements Serializable {
	private static final long serialVersionUID = 370424018;
	protected CertificateView cert1;
	protected CertificateView cert2;
	protected CertificateView cert3;
	protected ProductId oid;
	protected Date version;
	protected String name;
	protected Integer unitPrice;
	protected Integer unitOnStock;
	protected Integer unitOnOrder;
	protected String supplierOid;
	protected String productImageOid;
	protected String cert1Oid;
	protected String cert2Oid;
	protected String cert3Oid;
	
	public CertificateView getCert1() {
        return this.cert1;
    }
	
	public void setCert1(CertificateView cert1) {
        this.cert1=cert1;
    }
	
	public CertificateView getCert2() {
        return this.cert2;
    }
	
	public void setCert2(CertificateView cert2) {
        this.cert2=cert2;
    }
	
	public CertificateView getCert3() {
        return this.cert3;
    }
	
	public void setCert3(CertificateView cert3) {
        this.cert3=cert3;
    }
	
	public ProductId getOid() {
        return this.oid;
    }
	
	public void setOid(ProductId oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getName() {
        return this.name;
    }
	
	public void setName(String name) {
        this.name=name;
    }
	
	public Integer getUnitPrice() {
        return this.unitPrice;
    }
	
	public void setUnitPrice(Integer unitPrice) {
        this.unitPrice=unitPrice;
    }
	
	public Integer getUnitOnStock() {
        return this.unitOnStock;
    }
	
	public void setUnitOnStock(Integer unitOnStock) {
        this.unitOnStock=unitOnStock;
    }
	
	public Integer getUnitOnOrder() {
        return this.unitOnOrder;
    }
	
	public void setUnitOnOrder(Integer unitOnOrder) {
        this.unitOnOrder=unitOnOrder;
    }
	
	public String getSupplierOid() {
        return this.supplierOid;
    }
	
	public void setSupplierOid(String supplierOid) {
        this.supplierOid=supplierOid;
    }
	
	public String getProductImageOid() {
        return this.productImageOid;
    }
	
	public void setProductImageOid(String productImageOid) {
        this.productImageOid=productImageOid;
    }
	
	public String getCert1Oid() {
        return this.cert1Oid;
    }
	
	public void setCert1Oid(String cert1Oid) {
        this.cert1Oid=cert1Oid;
    }
	
	public String getCert2Oid() {
        return this.cert2Oid;
    }
	
	public void setCert2Oid(String cert2Oid) {
        this.cert2Oid=cert2Oid;
    }
	
	public String getCert3Oid() {
        return this.cert3Oid;
    }
	
	public void setCert3Oid(String cert3Oid) {
        this.cert3Oid=cert3Oid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("ProductView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("name=").append(getName()).append(",");
        toStringBuilder.append("unitPrice=").append(getUnitPrice()).append(",");
        toStringBuilder.append("unitOnStock=").append(getUnitOnStock()).append(",");
        toStringBuilder.append("unitOnOrder=").append(getUnitOnOrder()).append(",");
        toStringBuilder.append("supplierOid=").append(getSupplierOid()).append(",");
        toStringBuilder.append("productImageOid=").append(getProductImageOid()).append(",");
        toStringBuilder.append("cert1Oid=").append(getCert1Oid()).append(",");
        toStringBuilder.append("cert2Oid=").append(getCert2Oid()).append(",");
        toStringBuilder.append("cert3Oid=").append(getCert3Oid());
        return toStringBuilder.append("]").toString();
    }
}
